KSpell2::Dictionary Class Referenceabstract

`#include <dictionary.h>`

Inheritance diagram for KSpell2::Dictionary:

## Public Member Functions

virtual bool | check (const QString &word)=0
virtual QStringList | suggest (const QString &word)=0
virtual bool | checkAndSuggest (const QString &word, QStringList &suggestions)=0
virtual bool | storeReplacement (const QString &bad, const QString &good)=0
virtual bool | addToPersonal (const QString &word)=0
virtual bool | addToSession (const QString &word)=0
QString | language () const
bool | isDefault () const

## Protected Member Functions

| Dictionary (const QString &lang, bool def=false)

## Protected Attributes

QString | m_language
bool | m_default

## Friends

class | Broker

## Detailed Description

Class is returned by from Broker.

It acts as the actual spellchecker.

Author
  Zack Rusin zack@.nosp@m.kde..nosp@m.org class used for actuall spell checking

Definition at line 37 of file dictionary.h.

## Member Function Documentation

virtual bool KSpell2::Dictionary::addToPersonal | ( | const QString & | word | ) |

pure virtual

Adds word to the list of of personal words.

Returns
  true on success

Implemented in HSpellDict, and ASpellDict.

virtual bool KSpell2::Dictionary::addToSession | ( | const QString & | word | ) |

pure virtual

Adds word to the words recognizable in the current session.

Returns
  true on success

Implemented in HSpellDict, and ASpellDict.

virtual bool KSpell2::Dictionary::check | ( | const QString & | word | ) |

pure virtual

Checks the given word.

Returns
  false if the word is misspelled. true otherwise

Implemented in HSpellDict, and ASpellDict.

virtual bool KSpell2::Dictionary::checkAndSuggest | ( | const QString & | word,
|  | QStringList & | suggestions
| ) |  |

pure virtual

Checks the word and fetches suggestions for it.

Implemented in HSpellDict, and ASpellDict.

bool KSpell2::Dictionary::isDefault | ( |  | ) | const

inline

Returns true if this dictionary was constructed from default Settings values.

Definition at line 92 of file dictionary.h.

QString KSpell2::Dictionary::language | ( |  | ) | const

inline

Returns language supported by this dictionary.

Definition at line 83 of file dictionary.h.

virtual bool KSpell2::Dictionary::storeReplacement | ( | const QString & | bad,
|  | const QString & | good
| ) |  |

pure virtual

Stores user defined good replacement for the bad word.

Returns
  true on success

Implemented in HSpellDict, and ASpellDict.

virtual QStringList KSpell2::Dictionary::suggest | ( | const QString & | word | ) |

pure virtual

Fetches suggestions for the word.

Returns
  list of all suggestions for the word

Implemented in HSpellDict, and ASpellDict.

The documentation for this class was generated from the following file:

- dictionary.h

KDE Home | KDE Accessibility Home | Description of Access Keys